#include <stdio.h>
#include <string.h>

main()
{
    int i, imax=0;
    char A[20], B[20], C[20], X[6][60];

    scanf("%s", A);
    scanf("%s", B);
    scanf("%s", C);

    strcpy(X[0], A);
    strcpy(X[1], A);
    strcpy(X[2], B);
    strcpy(X[3], B);
    strcpy(X[4], C);
    strcpy(X[5], C);

    strcat(X[0], B);
    strcat(X[0], C);
    strcat(X[1], C);
    strcat(X[1], B);
    strcat(X[2], A);
    strcat(X[2], C);
    strcat(X[3], C);
    strcat(X[3], A);
    strcat(X[4], A);
    strcat(X[4], B);
    strcat(X[5], B);
    strcat(X[5], A);

    for(i=1; i<6; i++)
    {
        if(strcmp(X[i], X[imax])>0)
            imax=i;
    }
    printf("%s", X[imax]);
}